<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class GroupParticipant extends \Google\Protobuf\Internal\Message
{
    


    protected $userJid = null;
    


    protected $rank = null;
    


    protected $memberLabel = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUserJid()
    {
        return isset($this->userJid) ? $this->userJid : '';
    }

    public function hasUserJid()
    {
        return isset($this->userJid);
    }

    public function clearUserJid()
    {
        unset($this->userJid);
    }

    




    public function setUserJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->userJid = $var;

        return $this;
    }

    



    public function getRank()
    {
        return isset($this->rank) ? $this->rank : 0;
    }

    public function hasRank()
    {
        return isset($this->rank);
    }

    public function clearRank()
    {
        unset($this->rank);
    }

    




    public function setRank($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\GroupParticipant\Rank::class);
        $this->rank = $var;

        return $this;
    }

    



    public function getMemberLabel()
    {
        return $this->memberLabel;
    }

    public function hasMemberLabel()
    {
        return isset($this->memberLabel);
    }

    public function clearMemberLabel()
    {
        unset($this->memberLabel);
    }

    




    public function setMemberLabel($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MemberLabel::class);
        $this->memberLabel = $var;

        return $this;
    }

}

